Issue 12288

Summary: Delete word should also delete a space
Product: Writer Reporter: Unknown <non-migrated>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 1.0.2Keywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: Windows 2000   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description Unknown 2003-03-12 21:27:26 UTC
(newbie complains:) When dbl clk to hilite a word and press delete key, should 
delete a space.  At end of sentence, should delete space before.  At beginning, 
should delete space after.  
When dbl clk to hilite a word and cut, same rules.  When pasting word into the 
middle of a word, paste no spaces.  When pasting at the beginning of a 
sentence, paste a space after.  When at the end paste a space before.  When 
pasting between end of a word and space, paste a space before.  When pasting 
between space and start of a word, paste a space after.
Comment 1 ingenstans 2003-05-29 16:09:56 UTC
confirmed in 1.1 beta 2. I think this probably is a mistake, since it 
is inconsistent with the way in which words are deleted fro the 
keyboard, where ctrl-delete will remove the extra space. 
Comment 2 h.ilter 2003-06-02 11:44:03 UTC
This is not a defect, It's a non inmplemented feature.
Comment 3 ace_dent 2008-05-16 02:41:22 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 noolometer 2008-10-08 08:35:49 UTC
I am a proofreader, using OpenOffice instead of Word for the first time, and i
feel that the deleting/adding of the space automatically, as listed by newbie,
would make a significant difference to the flow of my work and make the
functionality of OpenOffice even better than it is at present!
Comment 5 ace_dent 2008-10-22 15:26:11 UTC
*** Issue 33078 has been marked as a duplicate of this issue. ***
Comment 6 bettina.haberer 2010-05-21 15:16:33 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements". 
Comment 7 eric.savary 2011-01-23 21:42:52 UTC
*** Issue 116579 has been marked as a duplicate of this issue. ***